Skip to main content
`Ctrl`+`K`

# KSPSetUseFischerGuess

Use the Paul Fischer algorithm or its variants to compute initial guesses for a set of solves with related right-hand sides

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetUseFischerGuess(KSP ksp, PetscInt model, PetscInt size)

Logically Collective

## Input Parameters

- ksp - the Krylov context

- model - use model 1, model 2, model 3, or any other number to turn it off

- size - size of subspace used to generate initial guess

## Options Database Key

- -ksp_fischer_guess <model,size> - uses the Fischer initial guess generator for repeated linear solves

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetOptionsPrefix()`, `KSPAppendOptionsPrefix()`, `KSPSetGuess()`, `KSPGetGuess()`, `KSPGuess`

## Level

advanced

## Location

src/ksp/ksp/interface/itcl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages